# TUMexam for iOS


## Building

macOS 10.15 and [Xcode 11](https://developer.apple.com/xcode/) or later are required.

To build and run TUMexam for iOS, simply open the .xcodeproj file. Dependencies are handled through the Swift Package Manager by Xcode.


## Release Builds & CI

Branches are automatically built on [Bamboo](https://bamboobruegge.in.tum.de/browse/TUMEXAM-TUMEXAMIOS) when udpates are pushed to GitLab. Bamboo outputs dsyms and an IPA file which is signed with the enterprise distribution certificate of the chair for applied software engineering.


## Branching Model

The `master` branch contains stable, tested code ready for use in a production environment.

The `develop` branch contains code that was tested in a development settings, but is not necessarily stable enough for use in production just yet.

Feature branches prefixed with `feature/` contain unstable and possibly unfinished code which might not even build.


## Distribution

Distribution is handled in the [www repo](https://gitlab.lrz.de/tumexam/www) and the IPAs are available via [tumexam.de](https://tumexam.de/app.html) or directly through the app via OTA updates.
