// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

import UIKit
import Combine

//extension SubproblemPageViewController {
//	func setupToolbarManager() {
//		let manager = ToolbarManager(navigationItem: navigationItem, context: correctionContext)
//		manager.delegate = self
//		self.toolbarManager = manager
//
//		// observe changes to undo manager
//		undoManagerObserver = correctionContext
//			.$currentUndoManager
//			.receiveOnMain()
//			.assignNoRetain(to: \.currentUndoManager, on: manager)
//
//        navigationItem.leftItemsSupplementBackButton = true
//		manager.setupRightItems()
//        manager.setupLeftItemsForSuproblemCorrection()
//	}
//}

extension SubproblemPageViewController: ToolbarManagerDelegate {
	func setEmpty(_ empty: Bool) {

	}

	func editSampleSolution() {}

	func save() {
		guard let current = viewControllers?.first as? SubproblemPageContentViewController else { return }
		current.save()
	}

	func toolbarWantsToDismiss() {
		// item does not exist. someone was lazy and didn't split the delegate into multiple parts
	}

	func presentDrawingOptions(_ viewController: UIViewController) {
		self.present(viewController, animated: true, completion: nil)
	}

    func changeDrawingToolbarPosition(_ newPosition: DrawingToolbarPosition) { }

	func expandParentView() {}
	func showPreview() {}
}
