// swiftlint:disable all
// Generated using SwiftGen — https://github.com/SwiftGen/SwiftGen

import Foundation

// swiftlint:disable superfluous_disable_command file_length implicit_return

// MARK: - Strings

// swiftlint:disable explicit_type_interface function_parameter_count identifier_name line_length
// swiftlint:disable nesting type_body_length type_name vertical_whitespace_opening_braces
internal enum L10n {
  /// Cancel
  internal static let cancel = L10n.tr("Localizable", "cancel")
  /// Delete
  internal static let delete = L10n.tr("Localizable", "delete")
  /// Done
  internal static let done = L10n.tr("Localizable", "done")
  /// Flaggendefinitionen
  internal static let flagDefinitions = L10n.tr("Localizable", "flag-definitions")
  /// Flaggen
  internal static let flags = L10n.tr("Localizable", "flags")
  /// Got It!
  internal static let gotIt = L10n.tr("Localizable", "got-it")
  /// Install
  internal static let install = L10n.tr("Localizable", "install")
  /// Left
  internal static let `left` = L10n.tr("Localizable", "left")
  /// Locks
  internal static let locks = L10n.tr("Localizable", "locks")
  /// Next
  internal static let next = L10n.tr("Localizable", "next")
  /// OK
  internal static let ok = L10n.tr("Localizable", "ok")
  /// paste
  internal static let paste = L10n.tr("Localizable", "paste")
  /// Right
  internal static let `right` = L10n.tr("Localizable", "right")
  /// Sample Solution
  internal static let sampleSolution = L10n.tr("Localizable", "sample-solution")
  /// Skip
  internal static let skip = L10n.tr("Localizable", "skip")
  /// Skip Tutorial
  internal static let skipTutorial = L10n.tr("Localizable", "skip-tutorial")
  /// Submit
  internal static let submit = L10n.tr("Localizable", "submit")
  /// Top
  internal static let top = L10n.tr("Localizable", "top")

  internal enum CorrectionController {
    /// Dismiss
    internal static let dismiss = L10n.tr("Localizable", "correction-controller.dismiss")
    /// Edit Solution
    internal static let editSolution = L10n.tr("Localizable", "correction-controller.edit-solution")
    /// Toolbar Settings
    internal static let toolbarSettings = L10n.tr("Localizable", "correction-controller.toolbar-settings")
    internal enum Alert {
      internal enum DismissChanges {
        /// Cancel
        internal static let cancel = L10n.tr("Localizable", "correction-controller.alert.dismiss-changes.cancel")
        /// The following corrections have changes which will be lost: %@
        internal static func message(_ p1: Any) -> String {
          return L10n.tr("Localizable", "correction-controller.alert.dismiss-changes.message", String(describing: p1))
        }
        /// Discard
        internal static let ok = L10n.tr("Localizable", "correction-controller.alert.dismiss-changes.ok")
        /// Discard Changes?
        internal static let title = L10n.tr("Localizable", "correction-controller.alert.dismiss-changes.title")
      }
      internal enum SavingError {
        /// Cancel
        internal static let cancel = L10n.tr("Localizable", "correction-controller.alert.saving-error.cancel")
        /// Retry
        internal static let retry = L10n.tr("Localizable", "correction-controller.alert.saving-error.retry")
        /// Saving %@ Failed
        internal static func title(_ p1: Any) -> String {
          return L10n.tr("Localizable", "correction-controller.alert.saving-error.title", String(describing: p1))
        }
      }
    }
    internal enum Canvas {
      /// EMPTY PAGE
      internal static let empty = L10n.tr("Localizable", "correction-controller.canvas.empty")
      /// EMPTY PAGE (Crossbox)
      internal static let emptyByCrossbox = L10n.tr("Localizable", "correction-controller.canvas.empty-by-crossbox")
      /// No ERID
      internal static let noErid = L10n.tr("Localizable", "correction-controller.canvas.no-erid")
      /// Locking failed – Retry?
      internal static let noLock = L10n.tr("Localizable", "correction-controller.canvas.no-lock")
      internal enum CreateSnippet {
        /// Create Snippet
        internal static let button = L10n.tr("Localizable", "correction-controller.canvas.create-snippet.button")
      }
      internal enum SelectionConfirm {
        /// Copy
        internal static let button = L10n.tr("Localizable", "correction-controller.canvas.selection-confirm.button")
      }
    }
    internal enum End {
      /// There are currently no more exams available to correct.
      /// Sit back, grab a coffee and relax.
      internal static let subtitle = L10n.tr("Localizable", "correction-controller.end.subtitle")
      /// All Done! 🎉
      internal static let title = L10n.tr("Localizable", "correction-controller.end.title")
      internal enum Second {
        /// Please take a break
        internal static let subtitle = L10n.tr("Localizable", "correction-controller.end.second.subtitle")
        /// There are currently no more exams available which match the selected filter for this second correction pass. Please close the correction and wait for the first pass correction to correct more exams in the second pass.
        internal static let title = L10n.tr("Localizable", "correction-controller.end.second.title")
      }
    }
    internal enum PreviousCorrectors {
      /// Pass %@ - %@
      internal static func cellContent(_ p1: Any, _ p2: Any) -> String {
        return L10n.tr("Localizable", "correction-controller.previous-correctors.cell-content", String(describing: p1), String(describing: p2))
      }
      /// No data available
      internal static let noDataAvailable = L10n.tr("Localizable", "correction-controller.previous-correctors.no-data-available")
      /// Previous Correctors
      internal static let title = L10n.tr("Localizable", "correction-controller.previous-correctors.title")
    }
    internal enum ProblemPass {
      /// First Pass corrected by %@
      internal static func subtitle(_ p1: Any) -> String {
        return L10n.tr("Localizable", "correction-controller.problem-pass.subtitle", String(describing: p1))
      }
      /// Problem %@ – Pass %@
      internal static func title(_ p1: Any, _ p2: Any) -> String {
        return L10n.tr("Localizable", "correction-controller.problem-pass.title", String(describing: p1), String(describing: p2))
      }
    }
    internal enum SelectionConfirm {
      /// Copy
      internal static let button = L10n.tr("Localizable", "correction-controller.selection-confirm.button")
    }
  }

  internal enum CorrectionFlags {
    /// Active Flags
    internal static let active = L10n.tr("Localizable", "correction-flags.active")
    /// Available Flags
    internal static let available = L10n.tr("Localizable", "correction-flags.available")
    /// Flags - %@ - Problem %@
    internal static func title(_ p1: Any, _ p2: Any) -> String {
      return L10n.tr("Localizable", "correction-flags.title", String(describing: p1), String(describing: p2))
    }
    internal enum AddFlag {
      /// Add Flag text here...
      internal static let placeholder = L10n.tr("Localizable", "correction-flags.add-flag.placeholder")
      /// Create Flag
      internal static let title = L10n.tr("Localizable", "correction-flags.add-flag.title")
      internal enum MissingAttrErr {
        /// Please specify a text and color for the new flag!
        internal static let message = L10n.tr("Localizable", "correction-flags.add-flag.missing-attr-err.message")
        /// Missing Text/Color
        internal static let title = L10n.tr("Localizable", "correction-flags.add-flag.missing-attr-err.title")
      }
      internal enum SaveError {
        /// Error while saving
        internal static let title = L10n.tr("Localizable", "correction-flags.add-flag.save-error.title")
      }
    }
    internal enum AddFlagError {
      /// Due to missing APIs, this feature is only available on devices running iOS 14 or later. Please update your device. New flag definitions can be added via the webinterface.
      internal static let message = L10n.tr("Localizable", "correction-flags.add-flag-error.message")
      /// Not available
      internal static let title = L10n.tr("Localizable", "correction-flags.add-flag-error.title")
    }
  }

  internal enum DeprecationWarning {
    /// The TUMexam Correction App will be dropping support for iPadOS 13 with the next major release. Please update to iPadOS 14 as soon as possible to keep receiving updates for the correction app. All devices supporting the Apple Pencil are able to upgrade.
    internal static let message = L10n.tr("Localizable", "deprecation-warning.message")
    /// Deprecation Warning
    internal static let title = L10n.tr("Localizable", "deprecation-warning.title")
  }

  internal enum Diffing {
    internal enum Splitview {
      /// Your changes.
      internal static let yourChanges = L10n.tr("Localizable", "diffing.splitview.your-changes")
      internal enum Author {
        /// Remote version %@
        internal static func unknown(_ p1: Any) -> String {
          return L10n.tr("Localizable", "diffing.splitview.author.unknown", String(describing: p1))
        }
      }
      internal enum Navigation {
        internal enum Cell {
          /// Page %d
          internal static func title(_ p1: Int) -> String {
            return L10n.tr("Localizable", "diffing.splitview.navigation.cell.title", p1)
          }
        }
      }
    }
  }

  internal enum DrawingOptions {
    internal enum PressureSensitivity {
      /// Pressure Sensitivity
      internal static let title = L10n.tr("Localizable", "drawing-options.pressure-sensitivity.title")
    }
  }

  internal enum Error {
    internal enum Interactive {
      /// No more corrections available
      internal static let reachedEnd = L10n.tr("Localizable", "error.interactive.reachedEnd")
    }
    internal enum Network {
      /// Forbidden
      internal static let forbidden = L10n.tr("Localizable", "error.network.forbidden")
      /// The response could not be parsed
      internal static let invalidResponse = L10n.tr("Localizable", "error.network.invalidResponse")
      /// The server provided an invalid value
      internal static let invalidValue = L10n.tr("Localizable", "error.network.invalidValue")
      /// The response did not contain any data
      internal static let noData = L10n.tr("Localizable", "error.network.noData")
      /// The resource could not be found
      internal static let notFound = L10n.tr("Localizable", "error.network.notFound")
      /// The following layers are outdated and need to be merged: %@
      internal static func rejected(_ p1: Any) -> String {
        return L10n.tr("Localizable", "error.network.rejected", String(describing: p1))
      }
      /// Unauthorized
      internal static let unauthorized = L10n.tr("Localizable", "error.network.unauthorized")
    }
    internal enum Submission {
      /// Invalid lock token
      internal static let invalidLockToken = L10n.tr("Localizable", "error.submission.invalidLockToken")
    }
  }

  internal enum Flags {
    internal enum CreateFlagDef {
      /// Create Flag Definition
      internal static let title = L10n.tr("Localizable", "flags.create-flag-def.title")
    }
    internal enum EditFlagDef {
      /// Edit Flag Definition
      internal static let title = L10n.tr("Localizable", "flags.edit-flag-def.title")
    }
  }

  internal enum FlagsController {
    internal enum Columns {
      /// ERID
      internal static let erid = L10n.tr("Localizable", "flags-controller.columns.erid")
      /// Flag
      internal static let flag = L10n.tr("Localizable", "flags-controller.columns.flag")
      /// Pass
      internal static let pass = L10n.tr("Localizable", "flags-controller.columns.pass")
      /// Problem
      internal static let problem = L10n.tr("Localizable", "flags-controller.columns.problem")
      /// Subproblem
      internal static let subproblem = L10n.tr("Localizable", "flags-controller.columns.subproblem")
      /// User
      internal static let user = L10n.tr("Localizable", "flags-controller.columns.user")
    }
  }

  internal enum Hud {
    internal enum ToolChange {
      /// Switched to Eraser
      internal static let eraser = L10n.tr("Localizable", "hud.tool-change.eraser")
      /// Switched to Pen
      internal static let pen = L10n.tr("Localizable", "hud.tool-change.pen")
    }
  }

  internal enum Loading {
    internal enum Correction {
      /// Acquiring Lock
      internal static let lock = L10n.tr("Localizable", "loading.correction.lock")
      /// Page Info
      internal static let page = L10n.tr("Localizable", "loading.correction.page")
      /// Loading Correction...
      internal static let title = L10n.tr("Localizable", "loading.correction.title")
    }
    internal enum Page {
      /// Layer %@
      internal static func layer(_ p1: Any) -> String {
        return L10n.tr("Localizable", "loading.page.layer", String(describing: p1))
      }
      /// Personalized Solution
      internal static let personalizedSolution = L10n.tr("Localizable", "loading.page.personalized-solution")
      /// Scan
      internal static let scan = L10n.tr("Localizable", "loading.page.scan")
      /// Solution
      internal static let solution = L10n.tr("Localizable", "loading.page.solution")
      /// Loading Page...
      internal static let title = L10n.tr("Localizable", "loading.page.title")
    }
  }

  internal enum LoadingController {
    /// Loading...
    internal static let title = L10n.tr("Localizable", "loading-controller.title")
  }

  internal enum LocksController {
    internal enum Columns {
      /// Created
      internal static let created = L10n.tr("Localizable", "locks-controller.columns.created")
      /// ERID
      internal static let erid = L10n.tr("Localizable", "locks-controller.columns.erid")
      /// Last Updated
      internal static let lastUpdated = L10n.tr("Localizable", "locks-controller.columns.last-updated")
      /// Pass
      internal static let pass = L10n.tr("Localizable", "locks-controller.columns.pass")
      /// Problem
      internal static let problem = L10n.tr("Localizable", "locks-controller.columns.problem")
      /// Subproblem
      internal static let subproblem = L10n.tr("Localizable", "locks-controller.columns.subproblem")
      /// User
      internal static let user = L10n.tr("Localizable", "locks-controller.columns.user")
    }
  }

  internal enum ResultsController {
    /// Manual Search
    internal static let title = L10n.tr("Localizable", "results-controller.title")
    internal enum Bar {
      /// Results
      internal static let title = L10n.tr("Localizable", "results-controller.bar.title")
    }
    internal enum Columns {
      /// Access
      internal static let access = L10n.tr("Localizable", "results-controller.columns.access")
      /// Available
      internal static let available = L10n.tr("Localizable", "results-controller.columns.available")
      /// Corrected
      internal static let corrected = L10n.tr("Localizable", "results-controller.columns.corrected")
      /// ERID
      internal static let erid = L10n.tr("Localizable", "results-controller.columns.erid")
      /// Flags
      internal static let flags = L10n.tr("Localizable", "results-controller.columns.flags")
      /// Locked
      internal static let locked = L10n.tr("Localizable", "results-controller.columns.locked")
      /// Pass
      internal static let pass = L10n.tr("Localizable", "results-controller.columns.pass")
      /// Problem
      internal static let problem = L10n.tr("Localizable", "results-controller.columns.problem")
      /// Subproblem
      internal static let subproblem = L10n.tr("Localizable", "results-controller.columns.subproblem")
    }
    internal enum Row {
      /// Loading...
      internal static let loading = L10n.tr("Localizable", "results-controller.row.loading")
      /// %@ – Problem %@ – Pass %@
      internal static func title(_ p1: Any, _ p2: Any, _ p3: Any) -> String {
        return L10n.tr("Localizable", "results-controller.row.title", String(describing: p1), String(describing: p2), String(describing: p3))
      }
    }
  }

  internal enum ResultsFilter {
    /// All
    internal static let all = L10n.tr("Localizable", "results-filter.all")
    /// Filter Options
    internal static let filters = L10n.tr("Localizable", "results-filter.filters")
    /// No
    internal static let no = L10n.tr("Localizable", "results-filter.no")
    /// Reset
    internal static let reset = L10n.tr("Localizable", "results-filter.reset")
    /// Sort Option
    internal static let sort = L10n.tr("Localizable", "results-filter.sort")
    /// Filter
    internal static let title = L10n.tr("Localizable", "results-filter.title")
    /// Yes
    internal static let yes = L10n.tr("Localizable", "results-filter.yes")
    internal enum Filters {
      /// Access
      internal static let access = L10n.tr("Localizable", "results-filter.filters.access")
      /// Available
      internal static let available = L10n.tr("Localizable", "results-filter.filters.available")
      /// Corrected
      internal static let corrected = L10n.tr("Localizable", "results-filter.filters.corrected")
      /// ERID
      internal static let erid = L10n.tr("Localizable", "results-filter.filters.erid")
      /// Locked
      internal static let locked = L10n.tr("Localizable", "results-filter.filters.locked")
      /// Correction Pass
      internal static let pass = L10n.tr("Localizable", "results-filter.filters.pass")
      /// Problem
      internal static let problem = L10n.tr("Localizable", "results-filter.filters.problem")
      /// Subproblem
      internal static let subproblem = L10n.tr("Localizable", "results-filter.filters.subproblem")
      internal enum Erid {
        /// e.g. E0001
        internal static let eg = L10n.tr("Localizable", "results-filter.filters.erid.eg")
      }
      internal enum Pass {
        /// e.g. 1
        internal static let eg = L10n.tr("Localizable", "results-filter.filters.pass.eg")
      }
      internal enum Problem {
        /// e.g. 1
        internal static let eg = L10n.tr("Localizable", "results-filter.filters.problem.eg")
      }
      internal enum Subproblem {
        /// e.g. a
        internal static let eg = L10n.tr("Localizable", "results-filter.filters.subproblem.eg")
      }
    }
    internal enum Sort {
      /// Sort by
      internal static let column = L10n.tr("Localizable", "results-filter.sort.column")
      /// Direction
      internal static let direction = L10n.tr("Localizable", "results-filter.sort.direction")
      internal enum Column {
        /// Date
        internal static let date = L10n.tr("Localizable", "results-filter.sort.column.date")
        /// ERID
        internal static let erid = L10n.tr("Localizable", "results-filter.sort.column.erid")
        /// Pass
        internal static let pass = L10n.tr("Localizable", "results-filter.sort.column.pass")
        /// Problem
        internal static let problem = L10n.tr("Localizable", "results-filter.sort.column.problem")
      }
      internal enum Direction {
        /// Ascending
        internal static let asc = L10n.tr("Localizable", "results-filter.sort.direction.asc")
        /// Descending
        internal static let desc = L10n.tr("Localizable", "results-filter.sort.direction.desc")
      }
    }
  }

  internal enum SampleSolution {
    internal enum Diffing {
      /// Left (Local)
      internal static let `left` = L10n.tr("Localizable", "sample-solution.diffing.left")
      /// Merge
      internal static let merge = L10n.tr("Localizable", "sample-solution.diffing.merge")
      /// Right (Remote)
      internal static let `right` = L10n.tr("Localizable", "sample-solution.diffing.right")
    }
  }

  internal enum SentryFeedback {
    /// The TUMexam app has crashed. A crash report was sent to our developers. If you would like to help, please tell us what you did just before the app crashed.
    internal static let body = L10n.tr("Localizable", "sentry-feedback.body")
    /// What happened?
    internal static let comments = L10n.tr("Localizable", "sentry-feedback.comments")
    /// Email (Optional)
    internal static let email = L10n.tr("Localizable", "sentry-feedback.email")
    /// We only use your name and email if we require additional information. This data is automatically deleted from sentry.tumexam.de after 90 days.
    internal static let footer = L10n.tr("Localizable", "sentry-feedback.footer")
    /// Full Name (Optional)
    internal static let fullName = L10n.tr("Localizable", "sentry-feedback.full-name")
    /// Send Crash Report
    internal static let navbar = L10n.tr("Localizable", "sentry-feedback.navbar")
    /// Sending Report
    internal static let sending = L10n.tr("Localizable", "sentry-feedback.sending")
    /// Sorry, this shouldn't have happened.
    internal static let title = L10n.tr("Localizable", "sentry-feedback.title")
    internal enum FailureAlert {
      /// There was an error while sending your Feedback to our servers: %@
      internal static func message(_ p1: Any) -> String {
        return L10n.tr("Localizable", "sentry-feedback.failure-alert.message", String(describing: p1))
      }
      /// Failed to submit Feedback
      internal static let title = L10n.tr("Localizable", "sentry-feedback.failure-alert.title")
    }
    internal enum SuccessAlert {
      /// We appreciate your help and will try to fix the issue as soon as possible.
      internal static let message = L10n.tr("Localizable", "sentry-feedback.success-alert.message")
      /// Thank You!
      internal static let title = L10n.tr("Localizable", "sentry-feedback.success-alert.title")
    }
  }

  internal enum Settings {
    /// Connected to %@
    /// Signed in as %@
    /// Install ID: %@
    internal static func backendInfo(_ p1: Any, _ p2: Any, _ p3: Any) -> String {
      return L10n.tr("Localizable", "settings.backend-info", String(describing: p1), String(describing: p2), String(describing: p3))
    }
    /// Check for Updates
    internal static let checkForUpdates = L10n.tr("Localizable", "settings.check-for-updates")
    /// Collect Crash Information
    internal static let collectCrashInfo = L10n.tr("Localizable", "settings.collect-crash-info")
    /// We collect crash information through a self-hosted Sentry instance. This might contain stack traces and logs of the application. This information does not leave our servers and helps us detect and fix issues faster. See https://sentry.io for more information on Sentry.
    /// Support: support@tumexam.de
    internal static let crashInfo = L10n.tr("Localizable", "settings.crash-info")
    /// Crash Reports
    internal static let crashInfoTitle = L10n.tr("Localizable", "settings.crash-info-title")
    /// Disconnect
    internal static let disconnect = L10n.tr("Localizable", "settings.disconnect")
    /// Choose the exam to correct
    internal static let examSelection = L10n.tr("Localizable", "settings.exam-selection")
    /// Settings
    internal static let title = L10n.tr("Localizable", "settings.title")
    /// Unlock Zombie Locks
    internal static let unlockZombieLocks = L10n.tr("Localizable", "settings.unlock-zombie-locks")
    internal enum Cache {
      /// Clear Cache
      internal static let clear = L10n.tr("Localizable", "settings.cache.clear")
      /// %@ of %@ used
      internal static func size(_ p1: Any, _ p2: Any) -> String {
        return L10n.tr("Localizable", "settings.cache.size", String(describing: p1), String(describing: p2))
      }
    }
    internal enum CrashOptInAlert {
      /// Please restart the app for this change to take effect.
      /// (Swipe up from the bottom, then swipe the TUMexam app away to the top)
      internal static let message = L10n.tr("Localizable", "settings.crash-opt-in-alert.message")
      /// Please restart
      internal static let title = L10n.tr("Localizable", "settings.crash-opt-in-alert.title")
    }
    internal enum DisconnectAlert {
      /// Do you want to disconnect from %@? You will be taken back to the setup screen.
      internal static func message(_ p1: Any) -> String {
        return L10n.tr("Localizable", "settings.disconnect-alert.message", String(describing: p1))
      }
      /// Disconnect from backend
      internal static let title = L10n.tr("Localizable", "settings.disconnect-alert.title")
    }
    internal enum Experimental {
      /// Enhanced Darkmode
      internal static let edm = L10n.tr("Localizable", "settings.experimental.edm")
      /// Enhanced Darkmode should only be used with exams that were scanned using a professional scanner as artifacts can cause readability issues. This mode does not alter the actual scans, only the way they are displayed in the app when using dark mode.
      internal static let footer = L10n.tr("Localizable", "settings.experimental.footer")
      /// Sample Solution Opacity
      internal static let sampleSolutionOverlay = L10n.tr("Localizable", "settings.experimental.sample-solution-overlay")
      /// Experimental Features
      internal static let title = L10n.tr("Localizable", "settings.experimental.title")
    }
    internal enum Features {
      /// Ask to save before dismissal
      internal static let askBeforeDismiss = L10n.tr("Localizable", "settings.features.askBeforeDismiss")
      /// Hide overlays per default
      internal static let hideOverlays = L10n.tr("Localizable", "settings.features.hideOverlays")
      /// Allow modifications to any problem
      internal static let modificationsToAny = L10n.tr("Localizable", "settings.features.modificationsToAny")
      /// Apple Pencil 2nd gen tap gesture
      internal static let pencilTapGesture = L10n.tr("Localizable", "settings.features.pencilTapGesture")
      /// Retain page when switching ERIDs
      internal static let retainPageSelection = L10n.tr("Localizable", "settings.features.retainPageSelection")
      /// General correction settings
      internal static let title = L10n.tr("Localizable", "settings.features.title")
    }
    internal enum Tutorial {
      /// Reset Tutorial
      internal static let reset = L10n.tr("Localizable", "settings.tutorial.reset")
      /// Tutorial
      internal static let title = L10n.tr("Localizable", "settings.tutorial.title")
      internal enum Alert {
        /// Please restart the app to see the tutorial again.
        internal static let message = L10n.tr("Localizable", "settings.tutorial.alert.message")
        /// The Tutorial has been reset
        internal static let title = L10n.tr("Localizable", "settings.tutorial.alert.title")
      }
    }
    internal enum UnlockZombieLocksAlert {
      /// This will unlock all Locks of the currently selected Exam associated with this device.
      internal static let message = L10n.tr("Localizable", "settings.unlock-zombie-locks-alert.message")
      /// Unlock Zombie Locks?
      internal static let title = L10n.tr("Localizable", "settings.unlock-zombie-locks-alert.title")
      /// Unlock
      internal static let unlock = L10n.tr("Localizable", "settings.unlock-zombie-locks-alert.unlock")
    }
  }

  internal enum Setup {
    /// Faculty
    internal static let faculty = L10n.tr("Localizable", "setup.faculty")
    /// Instance Name
    internal static let instanceName = L10n.tr("Localizable", "setup.instance-name")
    /// Term
    internal static let term = L10n.tr("Localizable", "setup.term")
    /// Backend Setup
    internal static let title = L10n.tr("Localizable", "setup.title")
    /// Backend URL
    internal static let url = L10n.tr("Localizable", "setup.url")
    /// Year
    internal static let year = L10n.tr("Localizable", "setup.year")
    internal enum Exam {
      /// Select Exam
      internal static let title = L10n.tr("Localizable", "setup.exam.title")
    }
    internal enum Faculty {
      /// Architecture
      internal static let ar = L10n.tr("Localizable", "setup.faculty.ar")
      /// Civil, Geo and Environmental Engineering
      internal static let bgu = L10n.tr("Localizable", "setup.faculty.bgu")
      /// Chemistry
      internal static let ch = L10n.tr("Localizable", "setup.faculty.ch")
      /// DEVELOPMENT INSTANCE
      internal static let dev = L10n.tr("Localizable", "setup.faculty.dev")
      /// School of Engineering and Design
      internal static let ed = L10n.tr("Localizable", "setup.faculty.ed")
      /// School of Education
      internal static let edu = L10n.tr("Localizable", "setup.faculty.edu")
      /// Electrical and Computer Engineering
      internal static let ei = L10n.tr("Localizable", "setup.faculty.ei")
      /// TUM School of Governance
      internal static let gov = L10n.tr("Localizable", "setup.faculty.gov")
      /// Informatics
      internal static let `in` = L10n.tr("Localizable", "setup.faculty.in")
      /// Aerospace and Geodesy
      internal static let lrg = L10n.tr("Localizable", "setup.faculty.lrg")
      /// Mathematics
      internal static let ma = L10n.tr("Localizable", "setup.faculty.ma")
      /// Manual input of faculty prefix
      internal static let manual = L10n.tr("Localizable", "setup.faculty.manual")
      /// Medicine
      internal static let med = L10n.tr("Localizable", "setup.faculty.med")
      /// Mechanical Engineering
      internal static let mw = L10n.tr("Localizable", "setup.faculty.mw")
      /// Physics
      internal static let ph = L10n.tr("Localizable", "setup.faculty.ph")
      /// Enter Prefix here
      internal static let placeholder = L10n.tr("Localizable", "setup.faculty.placeholder")
      /// Sport and Health Sciences
      internal static let sg = L10n.tr("Localizable", "setup.faculty.sg")
      /// Please select the faculty of your chair.
      internal static let subtitle = L10n.tr("Localizable", "setup.faculty.subtitle")
      /// Select Faculty
      internal static let title = L10n.tr("Localizable", "setup.faculty.title")
      /// TUM School of Management
      internal static let wi = L10n.tr("Localizable", "setup.faculty.wi")
      /// TUM School of Life Sciences Weihenstephan
      internal static let wzw = L10n.tr("Localizable", "setup.faculty.wzw")
    }
    internal enum IncompleteAlert {
      /// Please fill out all fields on the page
      internal static let message = L10n.tr("Localizable", "setup.incomplete-alert.message")
      /// Setup Incomplete
      internal static let title = L10n.tr("Localizable", "setup.incomplete-alert.title")
    }
    internal enum Layout {
      /// Guided Setup
      internal static let guided = L10n.tr("Localizable", "setup.layout.guided")
      /// Manual URL Entry
      internal static let manual = L10n.tr("Localizable", "setup.layout.manual")
    }
    internal enum Manual {
      /// Please enter the full Instance name of your instance.
      internal static let subtitle = L10n.tr("Localizable", "setup.manual.subtitle")
      /// Full Instance Name
      internal static let textfieldLabel = L10n.tr("Localizable", "setup.manual.textfield-label")
      /// Manual Instance Entry
      internal static let title = L10n.tr("Localizable", "setup.manual.title")
    }
    internal enum Semester {
      /// Please select the semester in which your lecture is taking place.
      internal static let subtitle = L10n.tr("Localizable", "setup.semester.subtitle")
      /// Summer
      internal static let summer = L10n.tr("Localizable", "setup.semester.summer")
      /// Select Semester
      internal static let title = L10n.tr("Localizable", "setup.semester.title")
      /// Winter
      internal static let winter = L10n.tr("Localizable", "setup.semester.winter")
    }
    internal enum Shortname {
      /// Please enter the shortname of your lecture. You chose this when we created your TUMexam instance.
      internal static let subtitle = L10n.tr("Localizable", "setup.shortname.subtitle")
      /// Shortname
      internal static let textfieldLabel = L10n.tr("Localizable", "setup.shortname.textfield-label")
      /// Enter Shortname
      internal static let title = L10n.tr("Localizable", "setup.shortname.title")
    }
    internal enum Term {
      /// Summer Term
      internal static let summer = L10n.tr("Localizable", "setup.term.summer")
      /// Winter Term
      internal static let winter = L10n.tr("Localizable", "setup.term.winter")
    }
    internal enum Welcome {
      /// Setup Backend
      internal static let action = L10n.tr("Localizable", "setup.welcome.action")
      /// Chosen backend: %@
      internal static func backend(_ p1: Any) -> String {
        return L10n.tr("Localizable", "setup.welcome.backend", String(describing: p1))
      }
      /// Get Started
      internal static let getStarted = L10n.tr("Localizable", "setup.welcome.get-started")
      /// Login with Shibboleth
      internal static let login = L10n.tr("Localizable", "setup.welcome.login")
      /// Please setup the backend the app should connect to
      internal static let subtitle = L10n.tr("Localizable", "setup.welcome.subtitle")
      /// TUMexam Correction App
      internal static let title = L10n.tr("Localizable", "setup.welcome.title")
      /// Welcome!
      internal static let welcome = L10n.tr("Localizable", "setup.welcome.welcome")
    }
  }

  internal enum Shibboleth {
    internal enum Failed {
      internal enum Alert {
        /// Please double check if your instance is setup correctly under the specified URL and you have access to it
        internal static let message = L10n.tr("Localizable", "shibboleth.failed.alert.message")
        /// Authentication Failed
        internal static let title = L10n.tr("Localizable", "shibboleth.failed.alert.title")
      }
    }
    internal enum Initial {
      internal enum Alert {
        /// You will be forwarded to the LRZ/TUM Shibboleth sign-in page.
        internal static let message = L10n.tr("Localizable", "shibboleth.initial.alert.message")
        /// Login Required
        internal static let title = L10n.tr("Localizable", "shibboleth.initial.alert.title")
      }
    }
    internal enum Maintenance {
      internal enum Alert {
        /// It seems that this instance is currently under maintenance. Please try again later.
        internal static let message = L10n.tr("Localizable", "shibboleth.maintenance.alert.message")
        /// Instance under Maintenance
        internal static let title = L10n.tr("Localizable", "shibboleth.maintenance.alert.title")
      }
    }
    internal enum Refresh {
      internal enum Alert {
        /// Sign out
        internal static let disconnect = L10n.tr("Localizable", "shibboleth.refresh.alert.disconnect")
        /// You will have to sign-in again using the LRZ Shibboleth service
        internal static let message = L10n.tr("Localizable", "shibboleth.refresh.alert.message")
        /// Session expired
        internal static let title = L10n.tr("Localizable", "shibboleth.refresh.alert.title")
      }
    }
  }

  internal enum Sidebar {
    /// Choose an exam
    internal static let chooseExam = L10n.tr("Localizable", "sidebar.choose-exam")
    /// Loading...
    internal static let loading = L10n.tr("Localizable", "sidebar.loading")
    internal enum Header {
      /// Signed in as %@
      internal static func signedInAs(_ p1: Any) -> String {
        return L10n.tr("Localizable", "sidebar.header.signed-in-as", String(describing: p1))
      }
    }
  }

  internal enum SnippetsController {
    /// Snippets
    internal static let title = L10n.tr("Localizable", "snippets-controller.title")
    internal enum Name {
      /// Enter Name
      internal static let placeholder = L10n.tr("Localizable", "snippets-controller.name.placeholder")
    }
    internal enum Section {
      internal enum Matching {
        /// For This Problem
        internal static let title = L10n.tr("Localizable", "snippets-controller.section.matching.title")
      }
      internal enum Others {
        /// Other Snippets
        internal static let title = L10n.tr("Localizable", "snippets-controller.section.others.title")
      }
    }
  }

  internal enum Solution {
    internal enum Submission {
      /// Page %d / %d
      internal static func currentPage(_ p1: Int, _ p2: Int) -> String {
        return L10n.tr("Localizable", "solution.submission.currentPage", p1, p2)
      }
      /// Preview
      internal static let tbItemPreview = L10n.tr("Localizable", "solution.submission.tbItem-preview")
      internal enum Rejected {
        /// Show conflicts
        internal static let inspect = L10n.tr("Localizable", "solution.submission.rejected.inspect")
        /// Pages %@ were rejected because there is a newer version available on the server.
        internal static func message(_ p1: Any) -> String {
          return L10n.tr("Localizable", "solution.submission.rejected.message", String(describing: p1))
        }
        /// Page %@ was rejected because there is a newer version available on the server.
        internal static func messageSingle(_ p1: Any) -> String {
          return L10n.tr("Localizable", "solution.submission.rejected.message-single", String(describing: p1))
        }
        /// Rejected.
        internal static let title = L10n.tr("Localizable", "solution.submission.rejected.title")
      }
    }
  }

  internal enum StatusController {
    /// Correction Status
    internal static let title = L10n.tr("Localizable", "status-controller.title")
    internal enum Bar {
      /// Status
      internal static let title = L10n.tr("Localizable", "status-controller.bar.title")
    }
    internal enum Cell {
      /// Pass
      internal static let pass = L10n.tr("Localizable", "status-controller.cell.pass")
      /// Problem %@
      internal static func problem(_ p1: Any) -> String {
        return L10n.tr("Localizable", "status-controller.cell.problem", String(describing: p1))
      }
      /// Subproblem %@
      internal static func subproblem(_ p1: Any) -> String {
        return L10n.tr("Localizable", "status-controller.cell.subproblem", String(describing: p1))
      }
    }
    internal enum Issues {
      /// There are still unresolved Issues. Please check the "Issues" Tab in the TUMexam web interface and fix unresolved issues before correcting.
      internal static let message = L10n.tr("Localizable", "status-controller.issues.message")
      /// Unresolved Issues Found
      internal static let title = L10n.tr("Localizable", "status-controller.issues.title")
    }
    internal enum ScanNotStarted {
      /// The exams have to be scanned and go through image processing before they can be corrected. This process can be started in the web interface once the raw scans have been transferred from the scanner or the digital submissions.
      internal static let message = L10n.tr("Localizable", "status-controller.scan-not-started.message")
      /// No Exams scanned yet
      internal static let title = L10n.tr("Localizable", "status-controller.scan-not-started.title")
    }
  }

  internal enum SubproblemController {
    internal enum PagePass {
      /// Page %@ – Pass %@
      internal static func title(_ p1: Any, _ p2: Any) -> String {
        return L10n.tr("Localizable", "subproblem-controller.page-pass.title", String(describing: p1), String(describing: p2))
      }
    }
  }

  internal enum Toast {
    internal enum LockFailed {
      /// Retry
      internal static let action = L10n.tr("Localizable", "toast.lock-failed.action")
      /// Couldn't lock %@
      internal static func subtitle(_ p1: Any) -> String {
        return L10n.tr("Localizable", "toast.lock-failed.subtitle", String(describing: p1))
      }
      /// Read Only
      internal static let title = L10n.tr("Localizable", "toast.lock-failed.title")
    }
    internal enum NothingSaved {
      /// No changes were made to %@
      internal static func subtitle(_ p1: Any) -> String {
        return L10n.tr("Localizable", "toast.nothing-saved.subtitle", String(describing: p1))
      }
      /// Nothing to Save
      internal static let title = L10n.tr("Localizable", "toast.nothing-saved.title")
    }
    internal enum Saving {
      /// ERID: %@
      internal static func subtitle(_ p1: Any) -> String {
        return L10n.tr("Localizable", "toast.saving.subtitle", String(describing: p1))
      }
      /// Saving
      internal static let title = L10n.tr("Localizable", "toast.saving.title")
      internal enum Multiple {
        /// %@ + %d more
        internal static func subtitle(_ p1: Any, _ p2: Int) -> String {
          return L10n.tr("Localizable", "toast.saving.multiple.subtitle", String(describing: p1), p2)
        }
      }
      internal enum Solution {
        /// Solution Pages: %@
        internal static func subtitle(_ p1: Any) -> String {
          return L10n.tr("Localizable", "toast.saving.solution.subtitle", String(describing: p1))
        }
      }
    }
    internal enum SavingDone {
      /// ERID: %@
      internal static func subtitle(_ p1: Any) -> String {
        return L10n.tr("Localizable", "toast.saving-done.subtitle", String(describing: p1))
      }
      /// Saving Successful
      internal static let title = L10n.tr("Localizable", "toast.saving-done.title")
    }
    internal enum SavingError {
      /// Retry
      internal static let action = L10n.tr("Localizable", "toast.saving-error.action")
      /// Saving Failed
      internal static let title = L10n.tr("Localizable", "toast.saving-error.title")
    }
    internal enum SnippetMode {
      /// Cancel
      internal static let action = L10n.tr("Localizable", "toast.snippet-mode.action")
      /// Outline the snippet using the pen or your finger
      internal static let subtitle = L10n.tr("Localizable", "toast.snippet-mode.subtitle")
      /// Create Snippet
      internal static let title = L10n.tr("Localizable", "toast.snippet-mode.title")
    }
    internal enum SubproblemMode {
      /// Select a subproblem or draw a rectangle using the pen
      internal static let subtitle = L10n.tr("Localizable", "toast.subproblem-mode.subtitle")
      /// Select Subproblem
      internal static let title = L10n.tr("Localizable", "toast.subproblem-mode.title")
    }
  }

  internal enum Tutorial {
    internal enum PagingCorrection {
      /// This is the exam. You can swipe horizontally to view pages of this exam or swipe vertically to switch between exams. Changes are saved automatically when switching.
      internal static let pageCon = L10n.tr("Localizable", "tutorial.paging-correction.page-con")
      /// This button will display the personalized sample solution for the currently displayed exam (if available)
      internal static let personalizedSolution = L10n.tr("Localizable", "tutorial.paging-correction.personalized-solution")
      /// This button allows you to reposition the toolbar
      internal static let toolbarSettings = L10n.tr("Localizable", "tutorial.paging-correction.toolbar-settings")
      internal enum Navbar {
        /// To exit the correction, tap here. Changes are saved automatically.
        internal static let dismiss = L10n.tr("Localizable", "tutorial.paging-correction.navbar.dismiss")
        /// This button marks the currently active Problem and Pass as empty (zero points)
        internal static let empty = L10n.tr("Localizable", "tutorial.paging-correction.navbar.empty")
        /// This button toggles the overlay mode. Sometimes exams are not properly aligned, esp. with student submissions. This causes the crossboxes to in a different location than on the scan. We recommend to leave this turned on.
        internal static let overlay = L10n.tr("Localizable", "tutorial.paging-correction.navbar.overlay")
        /// This button allows you to view the raw unmodified scan of the exam
        internal static let raw = L10n.tr("Localizable", "tutorial.paging-correction.navbar.raw")
        /// To save manually, tap here
        internal static let save = L10n.tr("Localizable", "tutorial.paging-correction.navbar.save")
        /// This button allows you to view the suggested solution (if present on the server)
        internal static let solution = L10n.tr("Localizable", "tutorial.paging-correction.navbar.solution")
        /// This button activates the subproblem correction mode
        internal static let subpropblem = L10n.tr("Localizable", "tutorial.paging-correction.navbar.subpropblem")
        /// These are the drawing tools. You can change the size by tapping a tool twice.
        internal static let tools = L10n.tr("Localizable", "tutorial.paging-correction.navbar.tools")
        /// You can undo and redo changes with these buttons
        internal static let undo = L10n.tr("Localizable", "tutorial.paging-correction.navbar.undo")
      }
    }
    internal enum Snippets {
      /// You can create new snippets by tapping the plus button.
      internal static let add = L10n.tr("Localizable", "tutorial.snippets.add")
      /// This is where your Snippets are saved. Simply tap or drag one onto the exam to use it.
      internal static let overview = L10n.tr("Localizable", "tutorial.snippets.overview")
    }
    internal enum StartAlert {
      /// Before you begin, we would like to show you what this app is capable of. Ready for a quick tour?
      /// You can access this again later through the settings menu.
      internal static let message = L10n.tr("Localizable", "tutorial.start-alert.message")
      /// Show me around!
      internal static let ok = L10n.tr("Localizable", "tutorial.start-alert.ok")
      /// No Thanks
      internal static let skip = L10n.tr("Localizable", "tutorial.start-alert.skip")
      /// Hey there!
      internal static let title = L10n.tr("Localizable", "tutorial.start-alert.title")
    }
    internal enum Status {
      /// The circles show the progress of the correction seperated by passes. Tapping one of the blue buttons starts the correction.
      internal static let cell = L10n.tr("Localizable", "tutorial.status.cell")
      /// The exam you selected is shown here. You can change the exam in the Settings (gear icon on the right)
      internal static let navbar = L10n.tr("Localizable", "tutorial.status.navbar")
      internal enum Tabbar {
        /// Tapping here will get you to the Results screen. It allows you to set custom filters for correction or find a specific exam.
        internal static let results = L10n.tr("Localizable", "tutorial.status.tabbar.results")
        /// This is the start screen of the app. Usually, you'll want to start correcting from here.
        internal static let status = L10n.tr("Localizable", "tutorial.status.tabbar.status")
      }
    }
  }

  internal enum Update {
    internal enum Alert {
      internal enum Found {
        /// You are on version %@, the latest available version is %@.
        /// Would you like to update now?
        internal static func message(_ p1: Any, _ p2: Any) -> String {
          return L10n.tr("Localizable", "update.alert.found.message", String(describing: p1), String(describing: p2))
        }
        /// Update found
        internal static let title = L10n.tr("Localizable", "update.alert.found.title")
      }
      internal enum NotFound {
        /// No Update was found on the server. You are running the latest version of TUMexam.
        internal static let message = L10n.tr("Localizable", "update.alert.not-found.message")
        /// No Update found
        internal static let title = L10n.tr("Localizable", "update.alert.not-found.title")
      }
    }
  }

  internal enum UpdateRequired {
    /// The selected Instance requires version %@ of the Correction App, you are running %@. Please install the latest version from the TUMexam website or ask your MDM administrator to update.
    internal static func message(_ p1: Any, _ p2: Any) -> String {
      return L10n.tr("Localizable", "update-required.message", String(describing: p1), String(describing: p2))
    }
    /// Update required
    internal static let title = L10n.tr("Localizable", "update-required.title")
  }
}
// swiftlint:enable explicit_type_interface function_parameter_count identifier_name line_length
// swiftlint:enable nesting type_body_length type_name vertical_whitespace_opening_braces

// MARK: - Implementation Details

extension L10n {
  private static func tr(_ table: String, _ key: String, _ args: CVarArg...) -> String {
    let format = BundleToken.bundle.localizedString(forKey: key, value: nil, table: table)
    return String(format: format, locale: Locale.current, arguments: args)
  }
}

// swiftlint:disable convenience_type
private final class BundleToken {
  static let bundle: Bundle = {
    #if SWIFT_PACKAGE
    return Bundle.module
    #else
    return Bundle(for: BundleToken.self)
    #endif
  }()
}
// swiftlint:enable convenience_type
