#!/bin/bash
# Copyright 2018-2022 Chair of Network Architectures and Services
#                     Technical University of Munich
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


set -eoux pipefail

SENTRY_VERSION="7.9.0"

pushd ..
curl "https://github.com/getsentry/sentry-cocoa/releases/download/${SENTRY_VERSION}/Sentry.xcframework.zip" --output Sentry.xcframework.zip --silent -L
unzip Sentry.xcframework.zip
rm Sentry.xcframework.zip
popd
#pushd ../Carthage/Build/iOS
#lipo -thin arm64 Sentry.framework/Sentry -output sentry_arm64
#mv sentry_arm64 Sentry.framework/Sentry
#xcodebuild -create-xcframework -framework Sentry.framework -output ../Sentry.xcframework
#popd

